/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package telas;

import Conection.BancoDados;
import ModeloControle.ControleMedico;
import java.sql.SQLException;
import java.util.ArrayList;
import java.util.logging.Level;
import java.util.logging.Logger;
import javax.swing.JOptionPane;
import javax.swing.ListSelectionModel;
import modeloMetodos.Medicos;
import modeloMetodos.Tabela;

/**
 *
 * @author washington-pc
 */
public class CadastroMedico extends javax.swing.JFrame {

    Medicos med = new Medicos();
    ControleMedico controlmed = new ControleMedico();
    BancoDados conexao = new BancoDados();
    int flag =0;
    
    public CadastroMedico() {
        initComponents();
        preencherTabela("select *from medico order by nome");
    }

    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        jPanel1 = new javax.swing.JPanel();
        jLabel2 = new javax.swing.JLabel();
        jLabel3 = new javax.swing.JLabel();
        jLabel4 = new javax.swing.JLabel();
        jLabel5 = new javax.swing.JLabel();
        jLabel7 = new javax.swing.JLabel();
        jLabel8 = new javax.swing.JLabel();
        jLabel9 = new javax.swing.JLabel();
        jFormattedTextFieldCrm = new javax.swing.JFormattedTextField();
        jTextFieldNome = new javax.swing.JTextField();
        jComboBoxEspecialidade = new javax.swing.JComboBox<>();
        jTextFieldEndereco = new javax.swing.JTextField();
        jTextFieldBairro = new javax.swing.JTextField();
        jComboBoxUF = new javax.swing.JComboBox<>();
        jComboBoxSexo = new javax.swing.JComboBox<>();
        jButtonNovo = new javax.swing.JButton();
        jButtonSalvar = new javax.swing.JButton();
        jButtonCancelar = new javax.swing.JButton();
        jButtonEditar = new javax.swing.JButton();
        jButtonExcluir = new javax.swing.JButton();
        jScrollPane1 = new javax.swing.JScrollPane();
        jTableMedicos = new javax.swing.JTable();
        jTextFieldPesquisa = new javax.swing.JTextField();
        jButtonPesquisar = new javax.swing.JButton();
        jLabel6 = new javax.swing.JLabel();
        jTextFieldCOD = new javax.swing.JTextField();
        jLabel1 = new javax.swing.JLabel();

        setDefaultCloseOperation(javax.swing.WindowConstants.DISPOSE_ON_CLOSE);

        jPanel1.setBorder(javax.swing.BorderFactory.createEtchedBorder());

        jLabel2.setText("Nome:");

        jLabel3.setText("Sexo");

        jLabel4.setText("Especialidade:");

        jLabel5.setText("CRM:");

        jLabel7.setText("Endereço:");

        jLabel8.setText("Bairro:");

        jLabel9.setText("UF:");

        jFormattedTextFieldCrm.setEnabled(false);
        jFormattedTextFieldCrm.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jFormattedTextFieldCrmActionPerformed(evt);
            }
        });

        jTextFieldNome.setEnabled(false);

        jComboBoxEspecialidade.setModel(new javax.swing.DefaultComboBoxModel<>(new String[] { "Clinico Geral", "Cardiologista", "Dermatologista", "Endocrinologista", "Ginecologista", "Nefrologista", "Ortopedista", "Pediatra", "Proctologista", "Psicologo" }));
        jComboBoxEspecialidade.setEnabled(false);

        jTextFieldEndereco.setEnabled(false);

        jTextFieldBairro.setEnabled(false);

        jComboBoxUF.setModel(new javax.swing.DefaultComboBoxModel<>(new String[] { "AC", "AL", "AP", "AM", "BA", "CE", "DF", "ES", "GO", "MA", "MT", "MS", "MG", "PA", "PB", "PR", "PE", "PI", "RJ", "RN", "RS", "RO", "RR", "SC", "SP", "SE", "TO" }));
        jComboBoxUF.setEnabled(false);

        jComboBoxSexo.setModel(new javax.swing.DefaultComboBoxModel<>(new String[] { "Feminino", "Masculino" }));
        jComboBoxSexo.setEnabled(false);

        jButtonNovo.setFont(new java.awt.Font("Tahoma", 1, 14)); // NOI18N
        jButtonNovo.setText("Novo");
        jButtonNovo.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButtonNovoActionPerformed(evt);
            }
        });

        jButtonSalvar.setFont(new java.awt.Font("Tahoma", 1, 14)); // NOI18N
        jButtonSalvar.setText("Salvar");
        jButtonSalvar.setEnabled(false);
        jButtonSalvar.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButtonSalvarActionPerformed(evt);
            }
        });

        jButtonCancelar.setFont(new java.awt.Font("Tahoma", 1, 14)); // NOI18N
        jButtonCancelar.setText("Cancelar");
        jButtonCancelar.setEnabled(false);
        jButtonCancelar.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButtonCancelarActionPerformed(evt);
            }
        });

        jButtonEditar.setFont(new java.awt.Font("Tahoma", 1, 14)); // NOI18N
        jButtonEditar.setText("Editar");
        jButtonEditar.setEnabled(false);
        jButtonEditar.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButtonEditarActionPerformed(evt);
            }
        });

        jButtonExcluir.setFont(new java.awt.Font("Tahoma", 1, 14)); // NOI18N
        jButtonExcluir.setText("Excluir");
        jButtonExcluir.setEnabled(false);
        jButtonExcluir.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButtonExcluirActionPerformed(evt);
            }
        });

        jTableMedicos.setModel(new javax.swing.table.DefaultTableModel(
            new Object [][] {
                {},
                {},
                {},
                {}
            },
            new String [] {

            }
        ));
        jTableMedicos.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                jTableMedicosMouseClicked(evt);
            }
        });
        jScrollPane1.setViewportView(jTableMedicos);

        jTextFieldPesquisa.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jTextFieldPesquisaActionPerformed(evt);
            }
        });

        jButtonPesquisar.setText("Pesquisar");
        jButtonPesquisar.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButtonPesquisarActionPerformed(evt);
            }
        });

        jLabel6.setText("ID");

        jTextFieldCOD.setEnabled(false);
        jTextFieldCOD.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jTextFieldCODActionPerformed(evt);
            }
        });

        javax.swing.GroupLayout jPanel1Layout = new javax.swing.GroupLayout(jPanel1);
        jPanel1.setLayout(jPanel1Layout);
        jPanel1Layout.setHorizontalGroup(
            jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel1Layout.createSequentialGroup()
                .addGap(19, 19, 19)
                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
                    .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                        .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING, false)
                            .addComponent(jButtonSalvar, javax.swing.GroupLayout.DEFAULT_SIZE, 106, Short.MAX_VALUE)
                            .addComponent(jButtonNovo, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
                        .addComponent(jButtonExcluir, javax.swing.GroupLayout.PREFERRED_SIZE, 106, javax.swing.GroupLayout.PREFERRED_SIZE))
                    .addComponent(jButtonCancelar, javax.swing.GroupLayout.PREFERRED_SIZE, 106, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(jButtonEditar, javax.swing.GroupLayout.PREFERRED_SIZE, 106, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addGap(78, 78, 78)
                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(jPanel1Layout.createSequentialGroup()
                        .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addGroup(jPanel1Layout.createSequentialGroup()
                                .addComponent(jLabel2)
                                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                                .addComponent(jTextFieldNome, javax.swing.GroupLayout.PREFERRED_SIZE, 313, javax.swing.GroupLayout.PREFERRED_SIZE))
                            .addGroup(jPanel1Layout.createSequentialGroup()
                                .addComponent(jLabel4)
                                .addGap(18, 18, 18)
                                .addComponent(jComboBoxEspecialidade, javax.swing.GroupLayout.PREFERRED_SIZE, 230, javax.swing.GroupLayout.PREFERRED_SIZE))
                            .addGroup(jPanel1Layout.createSequentialGroup()
                                .addComponent(jLabel7)
                                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                                .addComponent(jTextFieldEndereco, javax.swing.GroupLayout.PREFERRED_SIZE, 309, javax.swing.GroupLayout.PREFERRED_SIZE)))
                        .addGap(0, 0, Short.MAX_VALUE)
                        .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addGroup(jPanel1Layout.createSequentialGroup()
                                .addGap(4, 4, 4)
                                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
                                    .addComponent(jLabel8)
                                    .addComponent(jLabel5)))
                            .addGroup(jPanel1Layout.createSequentialGroup()
                                .addGap(27, 27, 27)
                                .addComponent(jLabel3)))
                        .addGap(21, 21, 21)
                        .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addGroup(jPanel1Layout.createSequentialGroup()
                                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
                                    .addGroup(jPanel1Layout.createSequentialGroup()
                                        .addComponent(jComboBoxSexo, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                                        .addGap(0, 0, Short.MAX_VALUE))
                                    .addComponent(jLabel9))
                                .addGap(30, 30, 30)
                                .addComponent(jComboBoxUF, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                                .addGap(52, 52, 52))
                            .addComponent(jTextFieldBairro, javax.swing.GroupLayout.PREFERRED_SIZE, 110, javax.swing.GroupLayout.PREFERRED_SIZE)
                            .addComponent(jFormattedTextFieldCrm, javax.swing.GroupLayout.PREFERRED_SIZE, 72, javax.swing.GroupLayout.PREFERRED_SIZE)))
                    .addGroup(jPanel1Layout.createSequentialGroup()
                        .addComponent(jTextFieldPesquisa, javax.swing.GroupLayout.PREFERRED_SIZE, 212, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addGap(18, 18, 18)
                        .addComponent(jButtonPesquisar, javax.swing.GroupLayout.PREFERRED_SIZE, 91, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addContainerGap())
                    .addGroup(jPanel1Layout.createSequentialGroup()
                        .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addGroup(jPanel1Layout.createSequentialGroup()
                                .addComponent(jLabel6)
                                .addGap(30, 30, 30)
                                .addComponent(jTextFieldCOD, javax.swing.GroupLayout.PREFERRED_SIZE, 96, javax.swing.GroupLayout.PREFERRED_SIZE))
                            .addComponent(jScrollPane1, javax.swing.GroupLayout.PREFERRED_SIZE, 804, javax.swing.GroupLayout.PREFERRED_SIZE))
                        .addGap(0, 0, Short.MAX_VALUE))))
        );
        jPanel1Layout.setVerticalGroup(
            jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel1Layout.createSequentialGroup()
                .addContainerGap()
                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(jButtonNovo, javax.swing.GroupLayout.PREFERRED_SIZE, 48, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, jPanel1Layout.createSequentialGroup()
                        .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                            .addComponent(jLabel6)
                            .addComponent(jTextFieldCOD, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                        .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                            .addComponent(jTextFieldNome, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                            .addComponent(jLabel2)
                            .addComponent(jLabel3)
                            .addComponent(jComboBoxSexo, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))))
                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(jPanel1Layout.createSequentialGroup()
                        .addGap(18, 18, 18)
                        .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                            .addComponent(jLabel4)
                            .addComponent(jComboBoxEspecialidade, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                            .addComponent(jLabel5)
                            .addComponent(jFormattedTextFieldCrm, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
                    .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, jPanel1Layout.createSequentialGroup()
                        .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
                            .addGroup(jPanel1Layout.createSequentialGroup()
                                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                                    .addComponent(jTextFieldPesquisa, javax.swing.GroupLayout.PREFERRED_SIZE, 34, javax.swing.GroupLayout.PREFERRED_SIZE)
                                    .addComponent(jButtonPesquisar, javax.swing.GroupLayout.PREFERRED_SIZE, 34, javax.swing.GroupLayout.PREFERRED_SIZE)))
                            .addGroup(jPanel1Layout.createSequentialGroup()
                                .addGap(18, 18, 18)
                                .addComponent(jButtonSalvar, javax.swing.GroupLayout.PREFERRED_SIZE, 52, javax.swing.GroupLayout.PREFERRED_SIZE)
                                .addGap(7, 7, 7)
                                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                                    .addComponent(jLabel7)
                                    .addComponent(jTextFieldEndereco, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                                    .addComponent(jLabel8)
                                    .addComponent(jTextFieldBairro, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                                    .addComponent(jLabel9)
                                    .addComponent(jComboBoxUF, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                                .addComponent(jButtonCancelar, javax.swing.GroupLayout.PREFERRED_SIZE, 54, javax.swing.GroupLayout.PREFERRED_SIZE)))
                        .addGap(21, 21, 21)))
                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(jPanel1Layout.createSequentialGroup()
                        .addGap(12, 12, 12)
                        .addComponent(jButtonEditar, javax.swing.GroupLayout.PREFERRED_SIZE, 48, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addGap(39, 39, 39)
                        .addComponent(jButtonExcluir, javax.swing.GroupLayout.PREFERRED_SIZE, 48, javax.swing.GroupLayout.PREFERRED_SIZE))
                    .addComponent(jScrollPane1, javax.swing.GroupLayout.PREFERRED_SIZE, 266, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );

        jLabel1.setFont(new java.awt.Font("Tahoma", 1, 18)); // NOI18N
        jLabel1.setText("CADASTRO DE MÉDICOS");

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addGap(393, 393, 393)
                .addComponent(jLabel1)
                .addContainerGap(456, Short.MAX_VALUE))
            .addGroup(layout.createSequentialGroup()
                .addGap(27, 27, 27)
                .addComponent(jPanel1, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                .addContainerGap())
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, layout.createSequentialGroup()
                .addGap(19, 19, 19)
                .addComponent(jLabel1, javax.swing.GroupLayout.PREFERRED_SIZE, 17, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(jPanel1, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                .addGap(17, 17, 17))
        );

        setSize(new java.awt.Dimension(1088, 650));
        setLocationRelativeTo(null);
    }// </editor-fold>//GEN-END:initComponents

    private void jButtonNovoActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButtonNovoActionPerformed
        flag =1;        
        jTextFieldNome.setEnabled(true);
        jComboBoxEspecialidade.setEnabled(true);
        jFormattedTextFieldCrm.setEnabled(true);
        jTextFieldEndereco.setEnabled(true);
        jTextFieldBairro.setEnabled(true);
        jComboBoxUF.setEnabled(true);
        jComboBoxSexo.setEnabled(true);
      
        jButtonSalvar.setEnabled(true); //ativa botão de salvar
        jButtonCancelar.setEnabled(true);// ativa botão de calcelar
        jButtonEditar.setEnabled(false);
        jButtonExcluir.setEnabled(false);
        jTextFieldCOD.setText("");
        jTextFieldNome.setText("");
        jFormattedTextFieldCrm.setText("");
        jTextFieldEndereco.setText("");
        jTextFieldBairro.setText("");
        jTextFieldPesquisa.setEnabled(false);
        jButtonPesquisar.setEnabled(false);
    }//GEN-LAST:event_jButtonNovoActionPerformed

    private void jFormattedTextFieldCrmActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jFormattedTextFieldCrmActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_jFormattedTextFieldCrmActionPerformed

    private void jButtonSalvarActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButtonSalvarActionPerformed
        if(jTextFieldNome.getText().isEmpty()){
            JOptionPane.showMessageDialog(null, "Preencha o Nome para continuar");
            jTextFieldNome.requestFocus();
        } 
        
        else if(jFormattedTextFieldCrm.getText().isEmpty()){
            JOptionPane.showMessageDialog(null, "Preencha o CRM para continuar");
            jFormattedTextFieldCrm.requestFocus();   
        } else if(jTextFieldEndereco.getText().isEmpty()){
            JOptionPane.showMessageDialog(null, "Preencha o Endereço para continuar");
            jTextFieldEndereco.requestFocus(); 
        }else if(jTextFieldBairro.getText().isEmpty()){
            JOptionPane.showMessageDialog(null, "Preencha o Bairro para continuar");
            jTextFieldBairro.requestFocus();
        }else
        
        
        
        if (flag ==1){ //se for cadastrado Novo
       med.setNome(jTextFieldNome.getText()); // valor que usuario digitou
       med.setEspecialidade((String)jComboBoxEspecialidade.getSelectedItem());
       med.setCrm(Integer.parseInt(jFormattedTextFieldCrm.getText()));
       med.setEndereco(jTextFieldEndereco.getText());
       med.setBairro(jTextFieldBairro.getText());
       med.setUf((String) jComboBoxUF.getSelectedItem());
       med.setSexo((String)jComboBoxSexo.getSelectedItem());

       controlmed.Salvar(med);
       //depois de salvar, vai limpar os campos
       jTextFieldCOD.setText("");
       jTextFieldNome.setText("");
       jFormattedTextFieldCrm.setText("");
       jTextFieldEndereco.setText("");
       jTextFieldBairro.setText("");
      
       //volta a ficar bloqueado para o usuario até que que clique em Novo
        jTextFieldNome.setEnabled(false);
        jComboBoxEspecialidade.setEnabled(false);
        jFormattedTextFieldCrm.setEnabled(false);
        jTextFieldEndereco.setEnabled(false);
        jTextFieldBairro.setEnabled(false);
        jComboBoxUF.setEnabled(false);
        jComboBoxSexo.setEnabled(false);
        jButtonSalvar.setEnabled(false);
        jButtonCancelar.setEnabled(false);
        preencherTabela("select *from medico order by nome");
      }else{ //Se for editado
          med.setCodigo((Integer.parseInt(jTextFieldCOD.getText())));
          med.setNome(jTextFieldNome.getText());
          med.setEspecialidade((String)jComboBoxEspecialidade.getSelectedItem());
          med.setCrm(Integer.parseInt(jFormattedTextFieldCrm.getText()));
          med.setEndereco(jTextFieldEndereco.getText());
          med.setBairro(jTextFieldBairro.getText());
          med.setUf((String) jComboBoxUF.getSelectedItem());
          med.setSexo((String)jComboBoxSexo.getSelectedItem());
          controlmed.Editar(med);
          // limpar os campos
          jTextFieldCOD.setText("");
           jTextFieldNome.setText("");
           jFormattedTextFieldCrm.setText("");
           jTextFieldEndereco.setText("");
           jTextFieldBairro.setText("");
          //volta a ficar bloqueado para o usuario até que que clique em Novo
           jTextFieldNome.setEnabled(false);
           jComboBoxEspecialidade.setEnabled(false);
           jFormattedTextFieldCrm.setEnabled(false);
           jTextFieldEndereco.setEnabled(false);
           jTextFieldBairro.setEnabled(false);
           jComboBoxUF.setEnabled(false);
           jComboBoxSexo.setEnabled(false);
           jButtonSalvar.setEnabled(false);
           jButtonCancelar.setEnabled(false);
           jButtonNovo.setEnabled(true); // habilita o Novo
           preencherTabela("select *from medico order by nome");
      }
    }//GEN-LAST:event_jButtonSalvarActionPerformed

    private void jTextFieldPesquisaActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jTextFieldPesquisaActionPerformed
        med.setPesquisa(jTextFieldPesquisa.getText());
        Medicos model = controlmed.buscaMedico(med); // enviando por parametro o que o usuario diigtou
        
        jTextFieldNome.setText(model.getNome());
        jComboBoxEspecialidade.setSelectedItem(model.getEspecialidade());
        jFormattedTextFieldCrm.setText(String.valueOf(model.getCrm()));
        jTextFieldEndereco.setText(model.getEndereco());
        jTextFieldBairro.setText(model.getBairro());
        jComboBoxUF.setSelectedItem(model.getUf());
        jComboBoxSexo.setSelectedItem(model.getSexo());
        
        jButtonEditar.setEnabled(true); // habilita editar
        jButtonExcluir.setEnabled(true); // habilita excluir
  
        
    }//GEN-LAST:event_jTextFieldPesquisaActionPerformed

    private void jButtonPesquisarActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButtonPesquisarActionPerformed
        med.setPesquisa(jTextFieldPesquisa.getText()); // o que o usuario digitar no campo vai para o metodo setPesquisa
        Medicos model = controlmed.buscaMedico(med); // chamando o metodo enviando por parâmetro o que o usuario digitar
        
        jTextFieldNome.setText(model.getNome());
        jTextFieldCOD.setText(String.valueOf(model.getCodigo()));
        jComboBoxEspecialidade.setSelectedItem(model.getEspecialidade());
        jFormattedTextFieldCrm.setText(String.valueOf(model.getCrm()));
        jTextFieldEndereco.setText(model.getEndereco());
        jTextFieldBairro.setText(model.getBairro());
        jComboBoxUF.setSelectedItem(model.getUf());
        jComboBoxSexo.setSelectedItem(model.getSexo());
        preencherTabela("SELECT *from medico WHERE nome like '%" +med.getPesquisa()+ "%'");
        
        jButtonEditar.setEnabled(true);
        jButtonExcluir.setEnabled(true);
      
   
    }//GEN-LAST:event_jButtonPesquisarActionPerformed

    private void jButtonCancelarActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButtonCancelarActionPerformed
       //bloquear os campos
        jTextFieldNome.setEnabled(!true);
        jComboBoxEspecialidade.setEnabled(!true);
        jFormattedTextFieldCrm.setEnabled(!true);
        jTextFieldEndereco.setEnabled(!true);
        jTextFieldBairro.setEnabled(!true);
        jComboBoxUF.setEnabled(!true);
        jComboBoxSexo.setEnabled(!true);
       // habilita o botão de Novo
        jButtonNovo.setEnabled(true); //ativa botão de novo
        jButtonEditar.setEnabled(false);
        jButtonExcluir.setEnabled(false);
        jButtonSalvar.setEnabled(false);
        jTextFieldPesquisa.setEnabled(true);
        jButtonPesquisar.setEnabled(true);
        jTextFieldCOD.setText("");
        jTextFieldNome.setText("");
        jFormattedTextFieldCrm.setText("");
        jTextFieldEndereco.setText("");
        jTextFieldBairro.setText("");
        
    }//GEN-LAST:event_jButtonCancelarActionPerformed

    private void jButtonEditarActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButtonEditarActionPerformed
       flag=2;
        jTextFieldNome.setEnabled(true);
        jComboBoxEspecialidade.setEnabled(true);
        jFormattedTextFieldCrm.setEnabled(true);
        jTextFieldEndereco.setEnabled(true);
        jTextFieldBairro.setEnabled(true);
        jComboBoxUF.setEnabled(true);
        jComboBoxSexo.setEnabled(true);
      
        jButtonSalvar.setEnabled(true); //ativa botão de salvar
        jButtonCancelar.setEnabled(true);// ativa botão de calcelar
        jButtonEditar.setEnabled(false);
        jButtonNovo.setEnabled(false);
        jButtonExcluir.setEnabled(false);
        preencherTabela("select *from medico order by nome");
    }//GEN-LAST:event_jButtonEditarActionPerformed

    private void jButtonExcluirActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButtonExcluirActionPerformed
        int resposta =0; // aguardar resposta do usuario
        resposta = JOptionPane.showConfirmDialog(rootPane, "Confirma a exclusão do dado?");
        if (resposta == JOptionPane.YES_OPTION){
            med.setCodigo(Integer.parseInt(jTextFieldCOD.getText()));
            controlmed.Excluir(med);
        // limpar os campos
          jTextFieldCOD.setText("");
           jTextFieldNome.setText("");
           jFormattedTextFieldCrm.setText("");
           jTextFieldEndereco.setText("");
           jTextFieldBairro.setText("");
          //volta a ficar bloqueado para o usuario até que que clique em Novo
           jTextFieldNome.setEnabled(false);
           jComboBoxEspecialidade.setEnabled(false);
           jFormattedTextFieldCrm.setEnabled(false);
           jTextFieldEndereco.setEnabled(false);
           jTextFieldBairro.setEnabled(false);
           jComboBoxUF.setEnabled(false);
           jComboBoxSexo.setEnabled(false);
           jButtonSalvar.setEnabled(false);
           jButtonCancelar.setEnabled(false);
           jButtonEditar.setEnabled(false);
           jButtonExcluir.setEnabled(false);
           jButtonNovo.setEnabled(true); // habilita o Novo    
           preencherTabela("select *from medico order by nome");
        }    
   
    }//GEN-LAST:event_jButtonExcluirActionPerformed

    private void jTableMedicosMouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jTableMedicosMouseClicked
      // ao clicar em um dado da tabel, irá preencher os dados e habilitar opção de Editar e Excluir 
        String nome_medico =(String)jTableMedicos.getValueAt(jTableMedicos.getSelectedRow(), 1); 
       conexao.conexao();
       conexao.executaSql("select *from medico where nome ='"+ nome_medico+"'");
        try {
         
             conexao.rs.first();
            jTextFieldCOD.setText(String.valueOf(conexao.rs.getInt("cod_medico")));
            jTextFieldNome.setText(conexao.rs.getString("nome"));
            jComboBoxEspecialidade.setSelectedItem(conexao.rs.getString("especialidade"));
            jFormattedTextFieldCrm.setText(conexao.rs.getString("crm"));
            jTextFieldEndereco.setText(conexao.rs.getString("endereco"));
            jTextFieldBairro.setText(conexao.rs.getString("bairro"));
            jComboBoxUF.setSelectedItem(conexao.rs.getString("uf"));
            jComboBoxSexo.setSelectedItem(conexao.rs.getString("sexo"));
            
            jButtonEditar.setEnabled(true);
            jButtonExcluir.setEnabled(true);
           
        } catch (SQLException ex) {
           JOptionPane.showMessageDialog(null,"Erro ao selecionar os dados"+ ex);
        }
       
       
       conexao.desconecta();
               
    }//GEN-LAST:event_jTableMedicosMouseClicked

    private void jTextFieldCODActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jTextFieldCODActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_jTextFieldCODActionPerformed

    public void preencherTabela(String Sql){
        ArrayList dados = new ArrayList();   
        String [] colunas = new String[]{"ID","Nome","Especialidade","CRM","Endereco", "Bairro","UF","Sexo"};
        conexao.conexao();
        conexao.executaSql(Sql);
        
        try{
            conexao.rs.first();
            do{
                dados.add(new Object[]{conexao.rs.getInt("cod_medico"),conexao.rs.getString("nome"),conexao.rs.getString("especialidade"),conexao.rs.getString("crm"),conexao.rs.getString("endereco"),conexao.rs.getString("bairro"),conexao.rs.getString("uf"), conexao.rs.getString("sexo")});
                
                
            }while(conexao.rs.next()); //enquanto houver dados irá percorrer os dados
        
    }catch(SQLException ex){
            JOptionPane.showMessageDialog(rootPane, "Medico não cadastrado.Realizar Nova Busca");
            
            }
        Tabela modelo = new Tabela(dados, colunas);
        jTableMedicos.setModel(modelo);
        //coluna ID
        jTableMedicos.getColumnModel().getColumn(0).setPreferredWidth(30);//  tamanho da coluna
        jTableMedicos.getColumnModel().getColumn(0).setResizable(false); // não pode alterar tamanho da tabela
        //coluna nome
        jTableMedicos.getColumnModel().getColumn(1).setPreferredWidth(200);//  tamanho da coluna
        jTableMedicos.getColumnModel().getColumn(1).setResizable(false); // não pode alterar tamanho da tabela        
        //coluna especialidade
        jTableMedicos.getColumnModel().getColumn(2).setPreferredWidth(140);//  tamanho da coluna
        jTableMedicos.getColumnModel().getColumn(2).setResizable(false); // não pode alterar tamanho da tabela   
        //coluna crm
        jTableMedicos.getColumnModel().getColumn(3).setPreferredWidth(40);//  tamanho da coluna
        jTableMedicos.getColumnModel().getColumn(3).setResizable(false); // não pode alterar tamanho da tabela 
        //coluna endereço
        jTableMedicos.getColumnModel().getColumn(4).setPreferredWidth(200);//  tamanho da coluna
        jTableMedicos.getColumnModel().getColumn(4).setResizable(false); // não pode alterar tamanho da tabela  
        //coluna bairro
        jTableMedicos.getColumnModel().getColumn(5).setPreferredWidth(90);//  tamanho da coluna
        jTableMedicos.getColumnModel().getColumn(5).setResizable(false); // não pode alterar tamanho da tabela   
        //coluna UF
        jTableMedicos.getColumnModel().getColumn(6).setPreferredWidth(30);//  tamanho da coluna
        jTableMedicos.getColumnModel().getColumn(6).setResizable(false); // não pode alterar tamanho da tabela  
        //coluna sexo
        jTableMedicos.getColumnModel().getColumn(7).setPreferredWidth(80);//  tamanho da coluna
        jTableMedicos.getColumnModel().getColumn(7).setResizable(false); // não pode alterar tamanho da tabela   
        
        jTableMedicos.getTableHeader().setReorderingAllowed(false);// não pode reordenar
        jTableMedicos.setAutoResizeMode(jTableMedicos.AUTO_RESIZE_OFF);//não pode redimensionar
        jTableMedicos.setSelectionMode(ListSelectionModel.SINGLE_SELECTION);//seleciona um item por vez
        conexao.desconecta();
        
    }        
     public static void main(String args[]) {
        /* Set the Nimbus look and feel */
        //<editor-fold defaultstate="collapsed" desc=" Look and feel setting code (optional) ">
        /* If Nimbus (introduced in Java SE 6) is not available, stay with the default look and feel.
         * For details see http://download.oracle.com/javase/tutorial/uiswing/lookandfeel/plaf.html 
         */
        try {
            for (javax.swing.UIManager.LookAndFeelInfo info : javax.swing.UIManager.getInstalledLookAndFeels()) {
                if ("Nimbus".equals(info.getName())) {
                    javax.swing.UIManager.setLookAndFeel(info.getClassName());
                    break;
                }
            }
        } catch (ClassNotFoundException ex) {
            java.util.logging.Logger.getLogger(CadastroMedico.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (InstantiationException ex) {
            java.util.logging.Logger.getLogger(CadastroMedico.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (IllegalAccessException ex) {
            java.util.logging.Logger.getLogger(CadastroMedico.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (javax.swing.UnsupportedLookAndFeelException ex) {
            java.util.logging.Logger.getLogger(CadastroMedico.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        }
        //</editor-fold>

        /* Create and display the form */
        java.awt.EventQueue.invokeLater(new Runnable() {
            @Override
            public void run() {
                new CadastroMedico().setVisible(true);
            }
        });
    }

    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton jButtonCancelar;
    private javax.swing.JButton jButtonEditar;
    private javax.swing.JButton jButtonExcluir;
    private javax.swing.JButton jButtonNovo;
    private javax.swing.JButton jButtonPesquisar;
    private javax.swing.JButton jButtonSalvar;
    private javax.swing.JComboBox<String> jComboBoxEspecialidade;
    private javax.swing.JComboBox<String> jComboBoxSexo;
    private javax.swing.JComboBox<String> jComboBoxUF;
    private javax.swing.JFormattedTextField jFormattedTextFieldCrm;
    private javax.swing.JLabel jLabel1;
    private javax.swing.JLabel jLabel2;
    private javax.swing.JLabel jLabel3;
    private javax.swing.JLabel jLabel4;
    private javax.swing.JLabel jLabel5;
    private javax.swing.JLabel jLabel6;
    private javax.swing.JLabel jLabel7;
    private javax.swing.JLabel jLabel8;
    private javax.swing.JLabel jLabel9;
    private javax.swing.JPanel jPanel1;
    private javax.swing.JScrollPane jScrollPane1;
    private javax.swing.JTable jTableMedicos;
    private javax.swing.JTextField jTextFieldBairro;
    private javax.swing.JTextField jTextFieldCOD;
    private javax.swing.JTextField jTextFieldEndereco;
    private javax.swing.JTextField jTextFieldNome;
    private javax.swing.JTextField jTextFieldPesquisa;
    // End of variables declaration//GEN-END:variables
}
